Create AccountPlan
Create a new AccountPlan or AccountPlanGroup.
This endpoint creates a new AccountPlan or AccountPlanGroup for a specific Account in your Organization. The details of the new AccountPlan or AccountPlanGroup should be supplied in the request body.
Note: You cannot use this call to create both an AccountPlan and AccountPlanGroup for an Account at the same time. If you want to create both for an Account, you must submit two separate calls.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.
Body
The unique identifier (UUID) for the Account.
36The start date (in ISO-8601 format) for the AccountPlan or AccountPlanGroup becoming active for the Account.
The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) of the Plan to be attached to the Account to create an AccountPlan.
Note: Exclusive of the planGroupId request parameter - exactly one of planId or planGroupId must be used per call.
36The unique identifier (UUID) of the PlanGroup to be attached to the Account to create an AccountPlanGroup.
Note: Exclusive of the planId request parameter - exactly one of planId or planGroupId must be used per call.
36The end date (in ISO-8601 format) for when the AccountPlan or AccountPlanGroup ceases to be active for the Account. If not specified, the AccountPlan or AccountPlanGroup remains active indefinitely.
A unique short code for the AccountPlan or AccountPlanGroup.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$Optional setting to define a billing cycle date, which acts as a reference for when in the applied billing frequency period bills are created:
- For example, if you attach a Plan to an Account where the Plan is configured for monthly billing frequency and you've defined the period the Plan will apply to the Account to be from January 1st, 2022 until January 1st, 2023. You then set a
billEpochdate of February 15th, 2022. The first Bill will be created for the Account on February 15th, and subsequent Bills created on the 15th of the months following for the remainder of the billing period - March 15th, April 15th, and so on. - If not defined, then the
billEpochdate set for the Account will be used instead. - The date is in ISO-8601 format.
The unique identifier (UUID) for a Contract to which you want to add the Plan or Plan Group being attached to the Account.
36If the Account is either a Parent or a Child Account, this specifies the Account hierarchy billing mode. The mode determines how billing will be handled and shown on bills for charges due on the Parent Account, and charges due on Child Accounts:
-
Parent Breakdown - a separate bill line item per Account. Default setting.
-
Parent Summary - single bill line item for all Accounts.
-
Child - the Child Account is billed.
PARENT_SUMMARY, PARENT_BREAKDOWN, CHILD Response
Returns the created AccountPlan or AccountPlanGroup
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) for the Account to which the AccountPlan or AccounPlanGroup is attached.
The unique identifier (UUID) for the Product associated with the AccountPlan.
Note: Not present in response for AccountPlanGroup - Plan Groups can contain multiple Plans belonging to different Products.
The unique identifier (UUID) of the Plan that has been attached to the Account to create the AccountPlan.
The unique identifier (UUID) of the Plan Group that has been attached to the Account to create the AccountPlanGroup.
The start date (in ISO-8601 format) for the when the AccountPlan or AccountPlanGroup starts to be active for the Account.
The end date (in ISO-8601 format) for when the AccountPlan or AccountPlanGroup ceases to be active for the Account. If not specified, the AccountPlan or AccountPlanGroup remains active indefinitely.
The unique short code of the AccountPlan or AccountPlanGroup.
The initial date for creating the first bill against the Account for charges due under the AccountPlan or AccountPlanGroup. All subsequent bill creation dates are calculated from this date. If left empty, the first bill date definedfor the Account is used. The date is in ISO-8601 format.
The unique identifier (UUID) for the Contract to which the Plan or Plan Group attached to the Account has been added.
If the Account is either a Parent or a Child Account, this specifies the Account hierarchy billing mode. The mode determines how billing will be handled and shown on bills for charges due on the Parent Account, and charges due on Child Accounts:
-
Parent Breakdown - a separate bill line item per Account. Default setting.
-
Parent Summary - single bill line item for all Accounts.
-
Child - the Child Account is billed.
PARENT_SUMMARY, PARENT_BREAKDOWN, CHILD The date and time (in ISO 8601 format) when the AccountPlan or AccountPlanGroup was first created.
The date and time (in ISO 8601 format) when the AccountPlan or AccountPlanGroup was last modified.
The unique identifier (UUID) for the user who created the AccountPlan or AccountPlanGroup.
The unique identifier (UUID) for the user who last modified the AccountPlan or AccountPlanGroup.